using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using RelicGGJ;
using Rewired;

public class CollectableController : GridObject
{

    public int m_value = 1;

    public override void Push(GridObject source)
    {
        switch (source.m_type)
        {
            case objectType.PLAYER:
                m_level.SetObjectAt(m_position.x, m_position.y, null, m_layer);
                GameManager.Instance.AddScore(m_value);
                PlayerController.Instance.Vibrate(0.25f);
                Destroy(gameObject);
                break;
        }

    }

}
